Name:           python-apipkg
Version:        1.5
Release:        2
Summary:        Namespace control and lazy-import mechanism

License:        MIT
URL:            https://pypi.org/project/apipkg/
Source0:        https://files.pythonhosted.org/packages/source/a/apipkg/apipkg-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel python2-setuptools_scm python3-devel python3-setuptools_scm

%description
With apipkg you can control the exported namespace of a Python package and greatly reduce the
number of imports for your users. It is a small pure Python module that works on CPython 2.7
and 3.4+, Jython and PyPy. It cooperates well with Python’s help() system, custom importers (PEP302)
and common command-line completion tools.

%package -n python2-apipkg
Summary: Namespace control and lazy-import mechanism
%python_provide python2-apipkg

%description -n python2-apipkg
With apipkg you can control the exported namespace of a Python package and greatly reduce the
number of imports for your users. It is a small pure Python module that works on CPython 2.7
and 3.4+, Jython and PyPy. It cooperates well with Python’s help() system, custom importers (PEP302)
and common command-line completion tools.

%package -n python3-apipkg
Summary:   Namespace control and lazy-import mechanism
%python_provide python3-apipkg

%description -n python3-apipkg
With apipkg you can control the exported namespace of a Python package and greatly reduce the
number of imports for your users. It is a small pure Python module that works on CPython 2.7
and 3.4+, Jython and PyPy. It cooperates well with Python’s help() system, custom importers (PEP302)
and common command-line completion tools.

%prep
%autosetup -n apipkg-%{version} -p1

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py2_build
%py3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py2_install
%py3_install

%files -n python2-apipkg
%doc CHANGELOG README.rst
%{python2_sitelib}/*

%files -n python3-apipkg
%doc CHANGELOG README.rst
%{python3_sitelib}/*

%changelog
* Thu Mar 12 2020 chenli <chenli147@huawei.com> - 1.5-2
- Init package.
